class ComponentFlightPlanPoi extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
        };
    }

    editNameDialog = () => {
        this.props.onChangeName(this.props.poi.name, this.props.poi.uuid);
    }

    render = () => {
        const grid_container = {
            display: 'grid',
            gridTemplateColumns: "60px 150px 150px 106px",
            gridColumnGap: "5px",
        }

        const text_style = {
            fontFamily: 'Space Grotesk',
            fontWeight: 600,
            placeSelf: "center",
            lineHeight: "58px"
        }
        return (
            <div style={grid_container}>
                <div style={{...text_style}}>
                    <Checkbox
                        disabled={this.props.isFlightPlanExecuting}
                        checked={this.props.step.is_included_in_loop}
                        onChange={(event) => {
                            this.props.step.is_included_in_loop = event.target.checked;
                        }}
                    />
                </div>
                <div style={{...text_style}}>{this.props.step.step_type}{this.props.poi && ` : ${this.props.poi.name}`}</div>
                <div style={{...text_style}}>{this.props.step.step_status}</div>
                {this.props.isFlightPlanExecuting ? <span>&nbsp;</span> :
                    <Button variant="contained" onClick={() => {
                    this.props.onDeleteStepByUUID(this.props.step.step_uuid);
                }}>Delete</Button>}
            </div>
        );
    }
}