from dataclasses import dataclass, field
from typing import List, Optional

from dataclasses_json import dataclass_json

from models.FlightPlanStep import FlightPlanStep


@dataclass_json
@dataclass
class FlightPlan:
    repeat_count: Optional[int] = 1
    current_loop_count: Optional[int] = 0
    delay_before_execution_sec: Optional[int] = 0
    current_delay_before_execution_sec: Optional[int] = 0

    steps: List[FlightPlanStep] = field(default_factory=list)